# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require "#{File.dirname(__FILE__)}/../puppet_x/enterprisemodules/postgres/fact"
# rubocop: disable Style/MixinUsage
include PuppetX::Postgres::Fact
# rubocop: enable Style/MixinUsage

Facter.add('pg_extensions') do
  pg_array_fact(:name => 'name', :version => 'version', :owner => 'owner', :namespace => 'namespace', :db => 'db') do
    <<-QUERY
    select
      e.extname as name,
      e.extversion as version,
      a.rolname as owner,
      p.nspname as namespace
    from pg_extension e, 	pg_authid a, pg_namespace p
    where a.oid = e.extowner
    and p.oid = e.extnamespace
    QUERY
  end
end
