# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
Facter.add(:pg_postgres_running) do
  confine :kernel => %w[Linux]
  setcode do
    proc = Puppet::Util::Execution.execute('netstat -lnp | grep  postgres', :failonfail => false, :combine => true)
    if proc.include?('command not found') || proc == ''
      Puppet.debug 'Feature postgres_running **NOT** available'
      false
    else
      Puppet.debug 'Feature postgres_running available'
      true
    end
  end
end
