# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function('pg_config::on_instance') do
  dispatch :on_instance do
    param 'Variant[Array, Undef]', :values
    param 'String', :select_instance
  end

  def on_instance(values, select_instance)
    return [] if values.nil?

    values.collect { |e| e['instance'] == select_instance ? e['name'] : nil }.compact
  end
end
