# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function('pg_config::on_instance_with_db') do
  dispatch :on_instance_with_db do
    param 'Variant[Array, Undef]', :values
    param 'String', :select_instance
  end

  def on_instance_with_db(values, select_instance)
    return [] if values.nil?

    values.collect { |e| e['instance'] == select_instance ? { 'name' => e['name'], 'db' => e['db'] } : nil }.compact
  end
end
