# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:is_template) do
  include EasyType

  desc <<-EOD
  If true, then this database can be cloned by any user with CREATEDB privileges; if false (the default), then only superusers or the owner of the database can clone it.
  EOD

  newvalues(true, false)
  data_type('Optional[Boolean]')

  on_create do
    "is_template = #{value}"
  end

  on_modify do
    "is_template #{value}"
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('datistemplate') == 't'
  end
end
