# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:tablespace) do
  include EasyType

  desc <<-EOD
    The name of the template from which to create the new database, or DEFAULT to use the default template (template1).
  EOD

  data_type('Optional[String[1]]')

  on_create do
    "tablespace = #{value}"
  end

  on_modify do
    "set tablespace #{value}"
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('ts_name')
  end
end
