# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'pathname'
$LOAD_PATH.unshift(Pathname.new(__FILE__).dirname.parent.parent)
$LOAD_PATH.unshift("#{Pathname.new(__FILE__).dirname.parent.parent.parent.parent}easy_typelib")
require 'easy_type'
require 'puppet/property/boolean'

# Define the pg_instance type
module Puppet
  Type.newtype(:pg_instance) do
    include EasyType::YamlType

    def self.module_name
      'pg_config'
    end

    config_file '/etc/pg_register.yaml'

    desc <<-DOC
    This resource allows you to register a Postgres instance on the current host.


    Here is an example on how to create the an instance:

        pg_instance { '<instance>':
          os_user => '<os user>',
          db_user => '<db user>',
          port    => 5433,
        }

    DOC

    parameter :name

    property :os_user
    property :db_user
    property :port
  end
end
