# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:port) do
  include EasyType::YamlProperty

  desc <<-EOD
  The port the instance is running on.

  Here is an example on how to use this:

      pg_instance { 'default':
        ...
        port => 5433.
        ...
      }

  EOD
  defaultto '5432'
  data_type('Optional[Integer]')
end
