# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/postgres/mungers'

newparam(:name) do
  include EasyType

  desc <<-EOD
    The full name of the parameter. This includes the setting and the name of the database.
  EOD

  isnamevar
  data_type('String[1]')

  to_translate_to_resource do |raw_resource|
    instance = raw_resource.column_data('instance')
    name = raw_resource.column_data('name')
    "#{name}@#{instance}"
  end
end
