# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'base64'

newproperty(:value) do
  include EasyType

  desc <<-EOD
    The value of the specified parameter
  EOD

  data_type('Any')

  to_translate_to_resource do |raw_resource|
    encoded_value = raw_resource.column_data('setting')
    encoded_value.nil? ? nil : Base64.decode64(raw_resource.column_data('setting'))
  end
end
