# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:inherit) do
  include EasyType

  desc <<-EOD
    specified if the role automatically inherits privileges of roles it is a member of
  EOD

  newvalues(true, false)
  data_type('Optional[Boolean]')

  on_apply do
    value.to_s == 'true' ? 'INHERIT' : 'NOINHERIT'
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('rolinherit') == 't'
  end
end
