# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:login) do
  include EasyType

  desc <<-EOD
    specified if the role can log in. That is, this role can be given as the initial session authorization identifier
  EOD

  newvalues(true, false)
  data_type('Optional[Boolean]')

  on_apply do
    value.to_s == 'true' ? 'LOGIN' : 'NOLOGIN'
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('rolcanlogin') == 't'
  end
end
