# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/postgres/mungers'

newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-EOD
    The user name.
  EOD

  isnamevar
  data_type('String[1]')

  to_translate_to_resource do |raw_resource|
    instance = raw_resource.column_data('instance')
    role_name = raw_resource.column_data('rolname')
    "#{role_name}@#{instance}"
  end
end
