# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password) do
  include EasyType
  include EasyType::EncryptedProperty
  include PuppetX::EnterpriseModules::Postgres::Access
  include PuppetX::EnterpriseModules::Postgres::Password
  include PuppetX::EnterpriseModules::Postgres::CreateOnly

  desc <<-EOD
    The user's password.
  EOD

  data_type('Optional[String[1]]')

  #
  # Needed for information
  #
  def sid
    resource.sid
  end

  on_apply do
    "password '#{value}'"
  end

  # rubocop: disable Naming/MethodParameterName
  def insync?(_is)
    return false if is_password_hash.nil?

    create_only_insync?(is_password_hash, should_password_hash)
  end
  # rubocop: enable Naming/MethodParameterName
end
