# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:check) do
  include EasyType

  desc <<-DESC
  The query to execute as a check.
  DESC

  def change_to_s(_current, _should)
    'The check has executed and found issues.'
  end

  def insync?(_to)
    return true if resource[:refreshonly].to_s == 'true'

    records = resource.execute_check
    records.count == resource[:expected_number_of_rows]
  end

  data_type('String[1]')
end
